FORMAX DEVELOPER API
  1. UPI Payment Gateway API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
      POST
    • Tranaction Status
      POST
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. UPI Payment Gateway API

UPI Intent

POST
https://api.formaxpay.com/api/pg/get_upi_intent
This API is used to generate a UPI intent URL for initiating a UPI payment. It allows partners to trigger UPI payment flow directly from their app or web platform using supported UPI apps.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/pg/get_upi_intent' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "MIJANUR HAQUE",
    "mobile": "9836114520",
    "email": "mijanur.haque@formaxit.com",
    "client_ip": "164.52.211.0",
    "amount": "100",
    "p_order_id": "PGT75781250000001VQDGT"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": {
        "order_id": "PGTXN20239257812500PTWWK",
        "p_order_id": "PGT75781250000001VQDGT",
        "upi_intent": "upi://pay?pa=merchant.fpay@hdfcbank&pn=Merchant Name&mc=&tid=&tr=PGTXN20239257812500PTWWK&tn=&am=100&mam=100&cu=INR&url=&mode=00&sign=&orgid=&mid=&msid=&mtid="
    }
}
Modified at 2025-12-25 07:17:38
Previous
UPI Payment Gateway API
Next
Tranaction Status
Built with